Scrum - Defect #1607

Error 500 on Calendar module
2022-10-19 14:23 - Marcos Mata

Status: Resolved

Priority: High

Category: Calendar

Target version: Scrum v0.23.1

Source: Customer Blocked: No
Detected on version: Scrum v0.23.0 Alone: No
Description

When loading the calendar module in any project, there is an error 500.

I, [2022-10-19T16:10:59.018684 #2745849] INFO -- : [0b47ca03-e12e-446¢c-9567-b8d09150a059] Completed 500 Internal Server
Error in 269ms (Views: 153.2ms | ActiveRecord: 65.1ms | Allocations: 90481)

F, [2022-10-19T16:10:59.019480 #2745849] FATAL -- : [0b47ca03-e12e-446¢-9567-b8d09150a059]
[0b47ca03-e12e-446¢-9567-b8d09150a059] ArgumentError (wrong number of arguments (given 1, expected 3)):
[0b47ca03-e12e-446¢-9567-b8d09150a059]

[0b47ca03-e12e-446¢-9567-b8d09150a059] plugins/scrum/lib/scrum/calendars_controller_patch.rb:19:in "new’
[0b47ca03-e12e-446¢-9567-b8d09150a059] plugins/scrum/lib/scrum/calendars_controller_patch.rb:19:in “add_sprints'
[0b47ca03-e12e-446¢-9567-b8d09150a059] lib/redmine/sudo_mode.rb:61:in “sudo_mode'

& C @ localhost3000/projects/prueba/issues/calendar

Corporativo Televes CA SW Tools Reuniones Analytics Articulos técnicos v

Internal error

An error occurred on the page you were trying to access.
If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back

Associated revisions

Revision 1af68285 - 2022-10-30 17:54 - Emilio Gonzalez Montaia

#1607 Increase plugin version

Revision 948e0eb5 - 2022-10-30 17:55 - Emilio Gonzalez Montafa

#1607 Fix calendar render error (Rails 6 deprecation)

History

#1 - 2022-10-19 15:35 - Marcos Mata

Environment info:

Environment:

Redmine version 5.0.3.stable

Ruby version 2.7.4-p191 (2021-07-07) [x86_64-linux]
Rails version 6.1.7

Environment production

Database adapter Mysql2

Mailer queue ActiveJob::QueueAdapters::AsyncAdapter
Mailer delivery sendmail

SCM:

Git 2.27.0

Filesystem

Redmine plugins:

additionals 3.0.7-main
redmine_checklists 3.1.21
redmine_custom_workflows 2.0.5

redmine_dashboard 2.12.2
redmine_drawio 1.4.4
redmine_impersonate 2.0.0

redmine_issue_dynamic_edit  0.8.1
redmine_my_page_paginations 1.0.2

redmine_people 1.6.2
redmine_reporter 2.0.2
redmine_wysiwyg_editor 0.26.0
redmine_x_assets 21.0
redmine_x_project_templates 1.1.0
redmine_x_resources 211
redmine_xIsx_format_issue_exporter 0.1.7
redmineup_tags 2.0.12

scrum 0.23.0
view_customize 3.0.0

#2 - 2022-10-30 17:56 - Emilio Gonzalez Montana
- Target version set to Scrum v0.23.1

- Status changed from New to Resolved

#3 - 2022-11-02 11:43 - Marcos Mata
Verified!

#4 - 2023-07-18 12:59 - Roberto Tavares
Hi Emilio!
Is there any prediction when this fix will be available to the community?

#5 - 2024-02-26 11:18 - M.Mahdi Thantez

Marcos Mata wrote in #note-3:

Verified!
Hi. | updated to 0.23.0 and its still there:

I, [2024-02-26T14:39:31.848080 #1] INFO —-- : Completed 500 Internal Server Error in 195ms (Views: 106.0ms | A
ctiveRecord: 39.3ms | Allocations: 53248)

F, [2024-02-26T14:39:31.849607 #1] FATAL -- :

ActiveRecord::StatementInvalid (Mysqgl2::Error: Unknown column 'issues.id' in 'IN/ALL/ANY subquery'):

plugins/scrum/lib/scrum/calendars_controller_patch.rb:32:in ‘query_sprints'

plugins/scrum/lib/scrum/calendars_controller_patch.rb:21:in “add_sprints'
lib/redmine/sudo_mode.rb:61:in " sudo_mode'
